Package net.sourceforge.jiu.codecs.jpeg

# Class JPEGData

java.lang.Object
net.sourceforge.jiu.codecs.jpeg.JPEGData

public class JPEGData extends Object
Data for decoding or encoding images from or to JPEG File Interchange Format (JFIF) files.

Since:
  0.13.0
Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`private JPEGFrame`
`frame`
`private Vector`
`huffmanTables`
`private Vector`
`quantTables`
`private Vector`
`scans`

## Constructor Summary

Constructors
Constructor
Description
`JPEGData()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addHuffmanTable(JPEGHuffmanTable table)`
`void`
`addQuantizationTable(JPEGQuantizationTable table)`
`void`
`addScan(JPEGScan scan)`
`JPEGFrame`
`getFrame()`
`JPEGQuantizationTable`
`getQuantizationTable(int id)`
Return a quantization table with a given id or null on failure to find it.
`void`
`setFrame(JPEGFrame newFrame)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### frame

private JPEGFrame frame

### huffmanTables

private Vector huffmanTables

### quantTables

private Vector quantTables

### scans

private Vector scans

## Constructor Details

### JPEGData

public JPEGData()

## Method Details

### addQuantizationTable

public void addQuantizationTable(JPEGQuantizationTable table)

### addHuffmanTable

public void addHuffmanTable(JPEGHuffmanTable table)

### addScan

public void addScan(JPEGScan scan)

### getFrame

public JPEGFrame getFrame()

### getQuantizationTable

public JPEGQuantizationTable getQuantizationTable(int id)
Return a quantization table with a given id or null on failure to find it.

Parameters:
  `id` - integer id value of table
Returns:
  actual table or null on failure

### setFrame

public void setFrame(JPEGFrame newFrame)